• Сайт автоматически обновлён до 5.2.20. Предлагает поддержка обновить до 6.5.2, последней версии (несколько секунд). Разработчики сайта говорят, что может «полететь» содержимое, так как дописывался код и дизайн сложный. Я как владелец сайта рад бы обновиться, но не наделать бы беды. Вопрос: опасно ли для моего сайта делать последнее обновление. И если делать, то по какому безопасном алгоритму? С уважением. Валерий.

    • Тема изменена 1 месяц, 1 неделя назад пользователем valeryv. Причина: Синтаксис

    Страница, с которой нужна помощь: [войдите, чтобы увидеть ссылку]

Просмотр 9 ответов — с 1 по 9 (всего 9)
  • Скажи, опасно ли мне делать операцию на колено?

    Страница, с которой нужна помощь: http://www.belolis.net

    Если Вам сами разработчики сайта так говорят, то вполне возможно так и есть. Обновлять всегда это риск. Вы можете попросить обновить тех же разработчиков сайта и при ошибках их исправить.

    Или сделать бекап сайта и базы и самостоятельно обновить. Если сломаете, то восстановить из бекапа.

    Разработчики перестраховываются. Сайт старый. А обновляться все равно как то нужно. И второе — до версии 5.2.20 платформа обновила автоматически и ничего не произошло.

    Может же кто-то с Вордпресс по каким то алгоритмом понять точно — опасно или не опасно? .

    А по поводу операции на колене. Однозначно и точно могу сказать, проведя предоперационное обследование с томографией.

    • Ответ изменён 1 месяц, 1 неделя назад пользователем valeryv.
    Модератор Yui

    (@fierevere)

    永子

    Делайте бэкапы и убедитесь что сможете восстановить сайт из них, и можно ничего не бояться.
    В случае же операции.. пусть даже это не колено, а просто панариций, у вас таких гарантий нет.

    опасно ли для моего сайта делать последнее обновление

    Однозначно и точно могу сказать, проведя полный аудит сайта. Дорого.

    Кстати, сайт все так же не доступен.

    @tuxfighter сайт доступен черз впн.

    до версии 5.2.20 платформа обновила автоматически и ничего не произошло.

    Это обновления безопасности и они не критические. Но дело в том, что сайт у Вас построен на Visual Composer у которого версия под определенную версию вордпресс, плюс разные плагины и тоже под версию вордпресс, персональные доработки с учетом работы на версии php например 5.6 . И тут Вы обновляете ворпресс. Далее нужно обновить все плагины. Потом возможно конфликты технологий. Далее плагины попросят не ниже версии php8 . После этого у Вас появляются ошибки или белый лист.

    Это обычные ошибки при обновлении. Но может все пройдет гладко… но только с обязательным предварительным полным бекапом. А еще лучше, создать копию сайта на субдомене и там уже обновить.

    Модератор Yui

    (@fierevere)

    永子

    сайт доступен черз впн.

    ох уж эти украинские хостинги…

    @tuxfighter сайт доступен черз впн.

    @ravilr63 почему это должно стать моей проблемой, а не того, кто пришел просить помощи?

    @ravilr63 — все вполне понятно и предполагалось. спасибо!

    • Ответ изменён 1 месяц, 1 неделя назад пользователем valeryv.
Просмотр 9 ответов — с 1 по 9 (всего 9)